Bug 470864 (CVE-2008-5012) - CVE-2008-5012 Mozilla Image stealing via canvas and HTTP redirect
Summary: CVE-2008-5012 Mozilla Image stealing via canvas and HTTP redirect
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5012
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-10 17:39 UTC by Josh Bressers
Modified: 2019-09-29 12:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 16:43:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0976 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-11-20 01:09:47 UTC
Red Hat Product Errata RHSA-2008:0977 normal SHIPPED_LIVE Critical: seamonkey security update 2008-11-13 02:21:08 UTC

Description Josh Bressers 2008-11-10 17:39:30 UTC
Mozilla developer Georgi Guninski reported that the canvas element could be
used in conjunction with an HTTP redirect to bypass same-origin
restrictions and gain access to the content in arbitrary images from other
domains. This vulnerability could be used by an attacker to steal private
information from a victim who is logged into a website that stores the data
in images.

Security researchers Michal Zalewski and Chris Evans also reported an
additional threat caused by this vulnerability in which an attacker can
enumerate the software installed on a victim's computer by using moz-icon
as the redirection target.

Firefox 3 is not affected by this issue.

Comment 2 Josh Bressers 2008-11-13 01:32:04 UTC
This is now public:
http://www.mozilla.org/security/announce/2008/mfsa2008-48.html

Comment 3 Fedora Update System 2008-11-14 12:48:30 UTC
firefox-2.0.0.18-1.fc8, epiphany-2.20.3-8.fc8, epiphany-extensions-2.20.1-11.fc8, blam-1.8.3-19.fc8, cairo-dock-1.6.3.1-1.fc8.1, chmsee-1.0.0-5.31.fc8, devhelp-0.16.1-11.fc8, evolution-rss-0.0.8-13.fc8, galeon-2.0.4-6.fc8.3, gnome-python2-extras-2.19.1-19.fc8, gnome-web-photo-0.3-14.fc8, kazehakase-0.5.6-1.fc8.1, liferea-1.4.15-5.fc8, Miro-1.2.7-2.fc8, openvrml-0.17.10-2.0.fc8, ruby-gnome2-0.17.0-3.fc8, yelp-2.20.0-14.fc8, seamonkey-1.1.13-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-11-21 10:56:09 UTC
thunderbird-2.0.0.18-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-11-21 11:02:55 UTC
thunderbird-2.0.0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-11-22 16:44:39 UTC
thunderbird-2.0.0.18-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Vincent Danen 2010-12-25 16:43:46 UTC
This was addressed via:

Red Hat Enterprise Linux version 4 (thunderbird) RHSA-2008:0976
Red Hat Enterprise Linux Desktop version 5 (thunderbird) RHSA-2008:0976
RHEL Optional Productivity Applications version 5 (thunderbird) RHSA-2008:0976
Red Hat Enterprise Linux version 2.1 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 3 (seamonkey) RHSA-2008:0977
Red Hat Enterprise Linux version 4 (seamonkey) RHSA-2008:0977


Note You need to log in before you can comment on or make changes to this bug.